Imports System.Xml
Public MustInherit Class GatewayProvider
    Inherits MarshalByRefObject
    Implements IGatewayProvider
    Private m_Data As XmlNode

    Protected Property Data() As XmlNode
        Get
            Return m_Data
        End Get
        Set(ByVal value As XmlNode)
            m_Data = value
        End Set
    End Property


    'Public MustOverride Function Execute(Of PARAMETERTYPE As ProviderParameters, RETURNTYPE As ProviderResults)(ByVal args As PARAMETERTYPE) As RETURNTYPE

    Public Sub Populate(ByVal configData As String)
        Dim args As XmlNode
        Dim xDoc As XmlDocument
        Try
            xDoc = New XmlDocument()
            xDoc.LoadXml(configData)
            args = xDoc.DocumentElement()
            Me.Data = args
        Catch ex As Exception
            Throw ex
        End Try
    End Sub
    Public Overrides Function InitializeLifetimeService() As Object
        Return Nothing
    End Function
End Class